Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		iozone
#Epoch:		0
Version:	3_353
Release:	1
License:	Iozone
URL:		http://www.iozone.org/
Group:		Development/Other
Summary:	filesystem benchmark tool
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
IOzone is a filesystem benchmark tool. The benchmark generates and measures a variety of file operations. Iozone has been ported to many machines and runs under many operating systems.
Iozone is useful for performing a broad filesystem analysis of a vendor’s computer platform. The benchmark tests file I/O performance for the following operations:
Read, write, re-read, re-write, read backwards, read strided, fread, fwrite, random read, pread ,mmap, aio_read, aio_write 


%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}%{version}

%build
pushd src/current/

make %{?_smp_mflags} linux

popd

%install
rm -Rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp $RPM_BUILD_DIR/iozone%{version}/src/current/iozone $RPM_BUILD_ROOT%{_bindir}
cp $RPM_BUILD_DIR/iozone%{version}/src/current/fileop $RPM_BUILD_ROOT%{_bindir}
cp $RPM_BUILD_DIR/iozone%{version}/src/current/pit_server $RPM_BUILD_ROOT%{_bindir}
cp $RPM_BUILD_DIR/iozone%{version}/src/current/Generate_Graphs $RPM_BUILD_ROOT%{_bindir}
cp $RPM_BUILD_DIR/iozone%{version}/src/current/gengnuplot.sh $RPM_BUILD_ROOT%{_bindir}
cp $RPM_BUILD_DIR/iozone%{version}/src/current/gnu3d.dem $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_docdir}/iozone/
cp $RPM_BUILD_DIR/iozone%{version}/docs/IOzone_msword_98.pdf $RPM_BUILD_ROOT%{_docdir}/iozone/
cp $RPM_BUILD_DIR/iozone%{version}/docs/Run_rules.doc $RPM_BUILD_ROOT%{_docdir}/iozone/
cp $RPM_BUILD_DIR/iozone%{version}/docs/IOzone_msword_98.doc $RPM_BUILD_ROOT%{_docdir}/iozone/
cp $RPM_BUILD_DIR/iozone%{version}/docs/Iozone_ps.gz $RPM_BUILD_ROOT%{_docdir}/iozone/
cp $RPM_BUILD_DIR/iozone%{version}/src/current/Gnuplot.txt $RPM_BUILD_ROOT%{_docdir}/iozone/

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp $RPM_BUILD_DIR/iozone%{version}/docs/iozone.1 $RPM_BUILD_ROOT%{_mandir}/man1/

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/fileop
%{_bindir}/Generate_Graphs
%{_bindir}/gengnuplot.sh
%{_bindir}/gnu3d.dem
%{_bindir}/iozone
%{_bindir}/pit_server
%{_docdir}/iozone/Gnuplot.txt
%{_docdir}/iozone/IOzone_msword_98.doc
%{_docdir}/iozone/IOzone_msword_98.pdf
%{_docdir}/iozone/Iozone_ps.gz
%{_docdir}/iozone/Run_rules.doc
%{_mandir}/man1/iozone.1.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Mon Nov 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 3_353-1
- initial CCux package release
